Skip to content
DoverDoverDover Docs
Menu

Get a job posting

GET
/api/v1/external/job-postings/{id}
curl --request GET \
--url https://app.dover.com/api/v1/external/job-postings/example \
--header 'Authorization: <Authorization>'

Job page payload: company, description, locations, compensation, interview-plan preview, and application questions to render the apply form. Authenticate from your backend with Authorization: Bearer <API_KEY>. Do not put the key in browser JavaScript.

id
required
string
Media typeapplication/json
object
id
required
Id
string format: uuid
title
required
Title
string
>= 1 characters
client_id
Client id
string
client_name
Client name
string
client_logo
Client logo
string
client_domain
Client domain
string
user_provided_description
User provided description
string
location
Location
string
locations
Array<object>
object
location_type
required
Location type
string
Allowed values: REMOTE IN_OFFICE HYBRID
location_option
object
id
Id
string format: uuid
display_name
required
Display name
string
>= 1 characters
location_type
required
Location type
string
Allowed values: CITY COUNTRY REGION ADMIN_1
city
required
City
string
>= 1 characters
state
required
State
string
>= 1 characters
country
required
Country
string
>= 1 characters
location_option_id
required
Location option id
string format: uuid
name
required
Name
string
>= 1 characters <= 255 characters
is_primary
Is primary
boolean
workplace_type
Workplace type
string
>= 1 characters
compensation
object
upper_bound
Upper bound
integer
>= -2147483648 <= 2147483647
lower_bound
Lower bound
integer
>= -2147483648 <= 2147483647
currency_code
required
Currency code
string
>= 1 characters <= 10 characters
open_to_sharing_comp
Open to sharing comp
boolean
equity_lower_bound
Equity lower bound
number
equity_upper_bound
Equity upper bound
number
open_to_sharing_equity
Open to sharing equity
boolean
offers_equity
Offers equity
boolean
salary_range_type
Salary range type
string
Allowed values: YEARLY MONTHLY HOURLY
employment_type
Employment type
string
Allowed values: FULL_TIME PART_TIME CONTRACT INTERNSHIP
compensation_details
Compensation details
string
visa_support
Visa support
boolean
application_questions
Array<object>
object
id
required
Id
string format: uuid
question
required
Question
string
>= 1 characters
input_type
required
Input type
string
Allowed values: SHORT_ANSWER LONG_ANSWER MULTIPLE_CHOICE MULTIPLE_SELECT FILE_UPLOAD
required
required
Required
boolean
question_type
Question type
string
Allowed values: LINKEDIN_URL RESUME PHONE_NUMBER CUSTOM
multiple_choice_options
Array<string>
max_selections
Max selections
integer
>= 1
hidden
Hidden
boolean
order_index
Order index
integer
public_interview_plan_preview
Array<object>
object
id
required
Id
string format: uuid
name
required
Name
string
>= 1 characters
description
required
Description
string
>= 1 characters
order_index
required
Order index
integer
allow_docx_resumes_in_applications
Allow docx resumes in applications
boolean
apply_url
Apply url
string format: uri
>= 1 characters
created
Created
string format: date-time

Example

{
"locations": [
{
"location_type": "REMOTE",
"location_option": {
"location_type": "CITY"
}
}
],
"compensation": {
"salary_range_type": null,
"employment_type": null
},
"application_questions": [
{
"input_type": "SHORT_ANSWER",
"question_type": "LINKEDIN_URL",
"hidden": false
}
]
}